	TITLE	"Generate Parity Bit"
;
;***********************************************************************
;	Generate Parity Bit for the 8 bit register 'txmt'
;	The parity bit is sored in Bit 0 of 'parity'
;
;***********************************************************************
	#include	"d:\\pictools\\17c42.h"
#define	ODD_PARITY	FALSE
;
	
	CBLOCK	0x20
		txmt, parity
	ENDC		

	swapf	txmt,w
	xorwf	txmt,w
	movwf	parity
	rrncf	parity
	rrncf	parity
	xorwf	parity,w
	andlw	0x03
	addlw	0x01
	rrncf	wreg
	movwf	parity
;
 #if ODD_PARITY
	btg	parity,0
 #endif
;
	END

	
